org.apache.catalina.authenticator

## Class DigestAuthenticator.DigestInfo

- java.lang.Object
- - org.apache.catalina.authenticator.DigestAuthenticator.DigestInfo

Enclosing class:
  DigestAuthenticator

    public static class DigestAuthenticator.DigestInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DigestInfo(String opaque, long nonceValidity, String key, Map<String,DigestAuthenticator.NonceInfo> nonces, boolean validateUri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Principal` `authenticate(Realm realm)`
`String` `getUsername()`
`boolean` `isNonceStale()`
`boolean` `parse(Request request, String authorization)`
`boolean` `validate(Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DigestInfo

    public DigestInfo(String opaque,
                      long nonceValidity,
                      String key,
                      Map<String,DigestAuthenticator.NonceInfo> nonces,
                      boolean validateUri)

### Method Detail

#### getUsername

    public String getUsername()

#### parse

    public boolean parse(Request request,
                         String authorization)

#### validate

    public boolean validate(Request request)

#### isNonceStale

    public boolean isNonceStale()

#### authenticate

    public Principal authenticate(Realm realm)